All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.propertyeditor
Class EntityAttributeValueDialog

    com.sas.swing.visuals.dataselectors.propertyeditor.EntityAttributeValueDialog

All Implemented Interfaces:
  LayoutConstants, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    @SASScope(value="ALL")
    public class EntityAttributeValueDialog

EntityAttributeValueDialog is a swing component used to edit entity attribute values. The EntityAttributeValueDialog displays the name of the attribute to be edited as well as its current value when the attribute is selected in the table. The model for this component, which supplies information about the Entity attributes, is an instance of EntityAttributeValueModelInterface: supplies

### Example

                    //Create the model
          import com.sas.entities.Entity;
          import com.sas.dataselectors.propertyeditor.EntityAttributeValueSelectorAdapter;
          import com.sas.swing.visuals.dataselectors.propertyeditor.EntityAttributeValuePanel;

          Entity = new Entity();
                    EntityAttributeValueSelectorAdapter selectorAdapter =  new EntityAttributeValueSelectorAdapter(entity);

                    JFrame frame = new JFrame(this.getClass().getName());
                    frame.setSize(300, 150);
          String title = " A title";
          boolean modal = true;
                    EntityAttributeValueDialog propertySheet = new EntityAttributeValueDialog(selectorAdapter, frame, title, modal);

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.OptionsDialog
`buttons, RB_KEY`

Fields inherited from interface com.sas.swing.visuals.util.LayoutConstants
`DOTS_BUTTON_INSETS, EMPTY_INSETS, HGAP, HMARGIN, INDENTED_BORDER, TAB_BORDER, TEXTFIELD_INSETS, VGAP, VMARGIN`

Constructor Summary
`EntityAttributeValueDialog(EntityAttributeValueModelInterface selectorAdapter, java.awt.Frame parent, java.lang.String title, boolean modal)` Constructs a new EntityAttributeValuePanel with the specified model selectorAdapter

Method Summary

Methods inherited from class com.sas.swing.visuals.OptionsDialog
`actionPerformed, addButton, createButtons, getButton, getButtonLocation, getHelpID, getMainPanel, getPanel, onApply, onCancel, onClose, onHelp, onOK, processWindowEvent, setButtonLocation, setButtons, setHelpID, setPanel, setVisible, updateButtonsForPanel, wasCancelled`

Constructor Detail

### EntityAttributeValueDialog

    public EntityAttributeValueDialog(EntityAttributeValueModelInterface selectorAdapter,
                                      java.awt.Frame parent,
                                      java.lang.String title,
                                      boolean modal)

  Constructs a new EntityAttributeValuePanel with the specified model selectorAdapter

  Parameters:
    `selectorAdapter` - instance of EntityAttributeValueModelInterface
    `parent` - Frame associated with the dialog
    `title` - dialog title
    `modal` - boolean value indicating whether the dialog is modal

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.